from numpy import array
from numpy import hstack

cases = array([1, 2, 3, 4, 5, 6, 7, 8, 9])
death = cases * 10
mobility = cases * 100


def prepare_data(cases, death):
    out_seq = array([cases[i] + death[i] for i in range(len(cases))])

    cases = cases.reshape((len(cases), 1))
    death = death.reshape((len(death), 1))

    out_seq = out_seq.reshape((len(out_seq), 1))

    # horizontally stack columns
    dataset = hstack((cases, death, out_seq))

    return dataset


def mock(base, n):
    data = list()
    n = 5000
    for i in range(n):
        data.append([i + 1, (i + 1) * 10])
